<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/bft_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>11/18/87 bft_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>These entrypoints allow the MOWSE application programmer to access the
<span id="L4" class="LineNr">  4 </span>functions of BFT <span class="textRainbow_lv0_p0">(</span>Background File Transfer<span class="textRainbow_lv0_p0">)</span> from within MOWSE
<span id="L5" class="LineNr">  5 </span>applications.  Equivalent functionality has been provided on both the
<span id="L6" class="LineNr">  6 </span>PC and the Multics sides.  Help is available for both sets of routines
<span id="L7" class="LineNr">  7 </span>through the Multics online help facility <span class="textRainbow_lv0_p0">(</span>by entering the name of the
<span id="L8" class="LineNr">  8 </span>subroutine following the help command<span class="textRainbow_lv0_p0">)</span>.
<span id="L9" class="LineNr">  9 </span>
<span id="L10" class="LineNr"> 10 </span>More information is available in the MOWSE Application Programmer's
<span id="L11" class="LineNr"> 11 </span>Manual, and the MOWSE User's Manual.
<span id="L12" class="LineNr"> 12 </span>
<span id="L13" class="LineNr"> 13 </span>
<span id="L14" class="LineNr"> 14 </span>Entry points in bft_:
<span id="L15" class="LineNr"> 15 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L16" class="LineNr"> 16 </span>
<span id="L17" class="LineNr"> 17 </span>
<span id="L18" class="LineNr"> 18 </span>:Entry:  load:  11/18/87  bft_$load
<span id="L19" class="LineNr"> 19 </span>
<span id="L20" class="LineNr"> 20 </span>
<span id="L21" class="LineNr"> 21 </span>Function: Makes the BFT code resident on the PC, loads BFT into the
<span id="L22" class="LineNr"> 22 </span>CAT <span class="textRainbow_lv0_p0">(</span>Capability Address Table<span class="textRainbow_lv0_p0">)</span> on both Multics and the PC, and
<span id="L23" class="LineNr"> 23 </span>initializes all necessary variables.
<span id="L24" class="LineNr"> 24 </span>
<span id="L25" class="LineNr"> 25 </span>
<span id="L26" class="LineNr"> 26 </span>Syntax:
<span id="L27" class="LineNr"> 27 </span>dcl   bft_$load entry <span class="textRainbow_lv0_p0">(</span>fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L28" class="LineNr"> 28 </span>call  bft_$load <span class="textRainbow_lv0_p0">(</span>code<span class="textRainbow_lv0_p0">)</span>;
<span id="L29" class="LineNr"> 29 </span>
<span id="L30" class="LineNr"> 30 </span>
<span id="L31" class="LineNr"> 31 </span>Arguments:
<span id="L32" class="LineNr"> 32 </span>code
<span id="L33" class="LineNr"> 33 </span>   A standard Multics error code signalling the state of the attempted
<span id="L34" class="LineNr"> 34 </span>   operation.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L35" class="LineNr"> 35 </span>
<span id="L36" class="LineNr"> 36 </span>
<span id="L37" class="LineNr"> 37 </span>:Entry:  fetch:  11/18/87 bft_$fetch
<span id="L38" class="LineNr"> 38 </span>
<span id="L39" class="LineNr"> 39 </span>
<span id="L40" class="LineNr"> 40 </span>Function: Transfers a file from the remote machine to Multics.  If a
<span id="L41" class="LineNr"> 41 </span>file already exists with the destination name, it will be overwritten
<span id="L42" class="LineNr"> 42 </span>if possible.
<span id="L43" class="LineNr"> 43 </span>
<span id="L44" class="LineNr"> 44 </span>
<span id="L45" class="LineNr"> 45 </span>Syntax:
<span id="L46" class="LineNr"> 46 </span>dcl   bft_$fetch entry <span class="textRainbow_lv0_p0">(</span>char <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit <span class="textRainbow_lv1_p0">(</span>36<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span>
<span id="L47" class="LineNr"> 47 </span>         fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L48" class="LineNr"> 48 </span>call  bft_$fetch <span class="textRainbow_lv0_p0">(</span>source_filename<span class="textRainbow_lv0_o0">,</span> destination_filename<span class="textRainbow_lv0_o0">,</span> flags<span class="textRainbow_lv0_o0">,</span>
<span id="L49" class="LineNr"> 49 </span>         priority<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L50" class="LineNr"> 50 </span>
<span id="L51" class="LineNr"> 51 </span>
<span id="L52" class="LineNr"> 52 </span>Arguments:
<span id="L53" class="LineNr"> 53 </span>source_filename
<span id="L54" class="LineNr"> 54 </span>   The PC pathname of the file which is to be transferred from the PC
<span id="L55" class="LineNr"> 55 </span>   to Multics.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L56" class="LineNr"> 56 </span>destination_filename
<span id="L57" class="LineNr"> 57 </span>   The pathname where the file sent from the remote machine is to be
<span id="L58" class="LineNr"> 58 </span>   stored.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L59" class="LineNr"> 59 </span>flags
<span id="L60" class="LineNr"> 60 </span>   A collection of bits signifying transfer characteristics.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L61" class="LineNr"> 61 </span>   The bits are broken down into the bft_queue_flags structure defined
<span id="L62" class="LineNr"> 62 </span>   in bft.incl.pl1, see &quot;Notes of flags&quot;.
<span id="L63" class="LineNr"> 63 </span>
<span id="L64" class="LineNr"> 64 </span>
<span id="L65" class="LineNr"> 65 </span>priority
<span id="L66" class="LineNr"> 66 </span>   The priority of the queue into which the fetch request is to be
<span id="L67" class="LineNr"> 67 </span>   placed.  These range in value from 1..4, with 1 being of highest
<span id="L68" class="LineNr"> 68 </span>   priority.  <span class="textRainbow_lv0_p0">(</span>Default 3<span class="textRainbow_lv0_p0">)</span>
<span id="L69" class="LineNr"> 69 </span>code
<span id="L70" class="LineNr"> 70 </span>   A standard Multics error code signalling the state of the attempted
<span id="L71" class="LineNr"> 71 </span>   operation.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L72" class="LineNr"> 72 </span>
<span id="L73" class="LineNr"> 73 </span>
<span id="L74" class="LineNr"> 74 </span>Notes on flags: The flags data structure is declared in bft.incl.pl1.
<span id="L75" class="LineNr"> 75 </span>
<span id="L76" class="LineNr"> 76 </span>dcl 01 bft_queue_flags  based,
<span id="L77" class="LineNr"> 77 </span>       02 mbz           bit <span class="textRainbow_lv0_p0">(</span>4<span class="textRainbow_lv0_p0">)</span> unal,
<span id="L78" class="LineNr"> 78 </span>       02 pad           bit <span class="textRainbow_lv0_p0">(</span>30<span class="textRainbow_lv0_p0">)</span> unal,
<span id="L79" class="LineNr"> 79 </span>       02 binary_sw     bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unal,
<span id="L80" class="LineNr"> 80 </span>       02 notify_sw     bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unal;
<span id="L81" class="LineNr"> 81 </span>
<span id="L82" class="LineNr"> 82 </span>
<span id="L83" class="LineNr"> 83 </span>mbz
<span id="L84" class="LineNr"> 84 </span>   Must be zero.  This is a 4 bit pad to make up for the difference
<span id="L85" class="LineNr"> 85 </span>   between a Multics 36 bit word and a PC 32 bit long.
<span id="L86" class="LineNr"> 86 </span>pad
<span id="L87" class="LineNr"> 87 </span>   For future expansion.  For future compatability, set to zero.
<span id="L88" class="LineNr"> 88 </span>binary_sw
<span id="L89" class="LineNr"> 89 </span>   Indicates that the transfer request is to be transferred in binary
<span id="L90" class="LineNr"> 90 </span>   mode.  This entails no &lt;CR&gt;&lt;LF&gt; - &lt;LF&gt; conversion.
<span id="L91" class="LineNr"> 91 </span>notify_sw
<span id="L92" class="LineNr"> 92 </span>   Indicates that notification of completion of transfer is requested
<span id="L93" class="LineNr"> 93 </span>   for the user.
<span id="L94" class="LineNr"> 94 </span>
<span id="L95" class="LineNr"> 95 </span>
<span id="L96" class="LineNr"> 96 </span>Examples:
<span id="L97" class="LineNr"> 97 </span>call  bft_$fetch <span class="textRainbow_lv0_p0">(</span>&quot;c:\user\pete\wonk&quot;<span class="textRainbow_lv0_o0">,</span> &quot;wonk&quot;<span class="textRainbow_lv0_o0">,</span> flags<span class="textRainbow_lv0_o0">,</span> 2<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L98" class="LineNr"> 98 </span>call  bft_$fetch <span class="textRainbow_lv0_p0">(</span>&quot;b:blat&quot;<span class="textRainbow_lv0_o0">,</span> &quot;&gt;udd&gt;m&gt;Joe&gt;blat&quot;<span class="textRainbow_lv0_o0">,</span> flags<span class="textRainbow_lv0_o0">,</span> 4<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L99" class="LineNr"> 99 </span>
<span id="L100" class="LineNr">100 </span>
<span id="L101" class="LineNr">101 </span>:Entry:  store:  11/18/87  bft_$store
<span id="L102" class="LineNr">102 </span>
<span id="L103" class="LineNr">103 </span>
<span id="L104" class="LineNr">104 </span>Function: Stores a Multics file on the remote machine.  If a file
<span id="L105" class="LineNr">105 </span>already exists with the destination name on the remote machine, it
<span id="L106" class="LineNr">106 </span>will be overwritten if possible.
<span id="L107" class="LineNr">107 </span>
<span id="L108" class="LineNr">108 </span>
<span id="L109" class="LineNr">109 </span>Syntax:
<span id="L110" class="LineNr">110 </span>dcl   bft_$store entry <span class="textRainbow_lv0_p0">(</span>char <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit <span class="textRainbow_lv1_p0">(</span>36<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span>
<span id="L111" class="LineNr">111 </span>         fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L112" class="LineNr">112 </span>call  bft_$store <span class="textRainbow_lv0_p0">(</span>source_filename<span class="textRainbow_lv0_o0">,</span> destination_filename<span class="textRainbow_lv0_o0">,</span> flags<span class="textRainbow_lv0_o0">,</span>
<span id="L113" class="LineNr">113 </span>         priority<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L114" class="LineNr">114 </span>
<span id="L115" class="LineNr">115 </span>
<span id="L116" class="LineNr">116 </span>Arguments:
<span id="L117" class="LineNr">117 </span>source_filename
<span id="L118" class="LineNr">118 </span>   The Multics pathname of the file which is to be transferred from
<span id="L119" class="LineNr">119 </span>   Multics to the PC.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L120" class="LineNr">120 </span>destination_filename
<span id="L121" class="LineNr">121 </span>   The PC pathname to which the transferred file is to be stored.
<span id="L122" class="LineNr">122 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L123" class="LineNr">123 </span>flags
<span id="L124" class="LineNr">124 </span>   A collection of bits signifying transfer characteristics.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L125" class="LineNr">125 </span>   The bits are broken down into the bft_queue_flags structure defined
<span id="L126" class="LineNr">126 </span>   in bft.incl.pl1, see &quot;Notes on flags&quot;.
<span id="L127" class="LineNr">127 </span>
<span id="L128" class="LineNr">128 </span>
<span id="L129" class="LineNr">129 </span>priority
<span id="L130" class="LineNr">130 </span>   The priority of the queue into which the fetch request is to be
<span id="L131" class="LineNr">131 </span>   placed.  These range in value from 1..4, with 1 being of highest
<span id="L132" class="LineNr">132 </span>   priority.  <span class="textRainbow_lv0_p0">(</span>Default 3<span class="textRainbow_lv0_p0">)</span>
<span id="L133" class="LineNr">133 </span>code
<span id="L134" class="LineNr">134 </span>   A standard Multics error code signalling the state of the attempted
<span id="L135" class="LineNr">135 </span>   operation.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L136" class="LineNr">136 </span>
<span id="L137" class="LineNr">137 </span>
<span id="L138" class="LineNr">138 </span>Notes on flags: The flags data structure is declared in bft.incl.pl1.
<span id="L139" class="LineNr">139 </span>
<span id="L140" class="LineNr">140 </span>dcl 01 bft_queue_flags  based,
<span id="L141" class="LineNr">141 </span>       02 mbz           bit <span class="textRainbow_lv0_p0">(</span>4<span class="textRainbow_lv0_p0">)</span> unal,
<span id="L142" class="LineNr">142 </span>       02 pad           bit <span class="textRainbow_lv0_p0">(</span>30<span class="textRainbow_lv0_p0">)</span> unal,
<span id="L143" class="LineNr">143 </span>       02 binary_sw     bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unal,
<span id="L144" class="LineNr">144 </span>       02 notify_sw     bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unal;
<span id="L145" class="LineNr">145 </span>
<span id="L146" class="LineNr">146 </span>
<span id="L147" class="LineNr">147 </span>mbz
<span id="L148" class="LineNr">148 </span>   Must be zero.  This is a 4 bit pad to make up for the difference
<span id="L149" class="LineNr">149 </span>   between a Multics 36 bit word and a PC 32 bit long.
<span id="L150" class="LineNr">150 </span>pad
<span id="L151" class="LineNr">151 </span>   For future expansion.  For future compatability, set to zero.
<span id="L152" class="LineNr">152 </span>binary_sw
<span id="L153" class="LineNr">153 </span>   Indicates that the transfer request is to be transferred in binary
<span id="L154" class="LineNr">154 </span>   mode.  This entails no &lt;CR&gt;&lt;LF&gt; - &lt;LF&gt; conversion.
<span id="L155" class="LineNr">155 </span>notify_sw
<span id="L156" class="LineNr">156 </span>   Indicates that notification of completion of transfer is requested
<span id="L157" class="LineNr">157 </span>   for the user.
<span id="L158" class="LineNr">158 </span>
<span id="L159" class="LineNr">159 </span>
<span id="L160" class="LineNr">160 </span>Examples:
<span id="L161" class="LineNr">161 </span>call  bft_$store <span class="textRainbow_lv0_p0">(</span>&quot;c:\user\pete\wonk&quot;<span class="textRainbow_lv0_o0">,</span> &quot;wonk&quot;<span class="textRainbow_lv0_o0">,</span> flags<span class="textRainbow_lv0_o0">,</span> 2<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L162" class="LineNr">162 </span>call  bft_$store <span class="textRainbow_lv0_p0">(</span>&quot;b:blat&quot;<span class="textRainbow_lv0_o0">,</span> &quot;&gt;udd&gt;m&gt;Joe&gt;blat&quot;<span class="textRainbow_lv0_o0">,</span> flags<span class="textRainbow_lv0_o0">,</span> 4<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L163" class="LineNr">163 </span>
<span id="L164" class="LineNr">164 </span>
<span id="L165" class="LineNr">165 </span>:Entry:  cancel:  11/18/87  bft_$cancel
<span id="L166" class="LineNr">166 </span>
<span id="L167" class="LineNr">167 </span>
<span id="L168" class="LineNr">168 </span>Function: Remove the specified entry from the containing queue,
<span id="L169" class="LineNr">169 </span>causing the transfer request not to be found and ultimately
<span id="L170" class="LineNr">170 </span>terminating the request.
<span id="L171" class="LineNr">171 </span>
<span id="L172" class="LineNr">172 </span>
<span id="L173" class="LineNr">173 </span>Syntax:
<span id="L174" class="LineNr">174 </span>dcl  bft_$cancel <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv0_o0">,</span> char <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L175" class="LineNr">175 </span>call bft_$cancel <span class="textRainbow_lv0_p0">(</span>id_type<span class="textRainbow_lv0_o0">,</span> entry_id<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L176" class="LineNr">176 </span>
<span id="L177" class="LineNr">177 </span>
<span id="L178" class="LineNr">178 </span>Arguments:
<span id="L179" class="LineNr">179 </span>id_type
<span id="L180" class="LineNr">180 </span>   is the type of the request identifier that has been given.  It must
<span id="L181" class="LineNr">181 </span>   take on one of the values BFT_PATH_ID, BFT_ENTRY_ID, or BFT_TIME_ID
<span id="L182" class="LineNr">182 </span>   defined in the include file bft.incl.pl1. <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L183" class="LineNr">183 </span>entry_id
<span id="L184" class="LineNr">184 </span>   is the request identifier of the entry to be removed.  It may be
<span id="L185" class="LineNr">185 </span>   one of relative pathname, entry name, or request ID.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L186" class="LineNr">186 </span>code
<span id="L187" class="LineNr">187 </span>   A standard Multics error code signalling the state of the attempted
<span id="L188" class="LineNr">188 </span>   operation.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L189" class="LineNr">189 </span>
<span id="L190" class="LineNr">190 </span>
<span id="L191" class="LineNr">191 </span>Examples:
<span id="L192" class="LineNr">192 </span>call bft_$cancel <span class="textRainbow_lv0_p0">(</span>BFT_ENTRY_ID<span class="textRainbow_lv0_o0">,</span> &quot;foo&quot;<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L193" class="LineNr">193 </span>call bft_$cancel <span class="textRainbow_lv0_p0">(</span>BFT_PATH_ID<span class="textRainbow_lv0_o0">,</span>  &quot;&gt;udd&gt;m&gt;bob&gt;foo&quot;<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L194" class="LineNr">194 </span>call bft_$cancel <span class="textRainbow_lv0_p0">(</span>BFT_PATH_ID<span class="textRainbow_lv0_o0">,</span>  &quot;C:\TMP\BAR&quot;<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L195" class="LineNr">195 </span>call bft_$cancel <span class="textRainbow_lv0_p0">(</span>BFT_TIME_ID<span class="textRainbow_lv0_o0">,</span>  &quot;173611.1&quot;<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L196" class="LineNr">196 </span>
<span id="L197" class="LineNr">197 </span>
<span id="L198" class="LineNr">198 </span>:Entry:  recover_fetch:  11/18/87  bft_$recover_fetch
<span id="L199" class="LineNr">199 </span>
<span id="L200" class="LineNr">200 </span>
<span id="L201" class="LineNr">201 </span>Function: Continues receiving a file from the remote system after the
<span id="L202" class="LineNr">202 </span>interruption of a previous fetch command.  The length of the
<span id="L203" class="LineNr">203 </span>destination file is checked on the local machine and the remainder of
<span id="L204" class="LineNr">204 </span>the file is transferred.
<span id="L205" class="LineNr">205 </span>
<span id="L206" class="LineNr">206 </span>
<span id="L207" class="LineNr">207 </span>Syntax:
<span id="L208" class="LineNr">208 </span>dcl bft_$recover_fetch entry <span class="textRainbow_lv0_p0">(</span>fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L209" class="LineNr">209 </span>call bft_$recover_fetch <span class="textRainbow_lv0_p0">(</span>code<span class="textRainbow_lv0_p0">)</span>;
<span id="L210" class="LineNr">210 </span>
<span id="L211" class="LineNr">211 </span>
<span id="L212" class="LineNr">212 </span>Arguments:
<span id="L213" class="LineNr">213 </span>code
<span id="L214" class="LineNr">214 </span>   A standard Multics error code signalling the state of the attempted
<span id="L215" class="LineNr">215 </span>   operation.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L216" class="LineNr">216 </span>
<span id="L217" class="LineNr">217 </span>
<span id="L218" class="LineNr">218 </span>:Entry:  recover_store:  11/18/87  bft_$recover_store
<span id="L219" class="LineNr">219 </span>
<span id="L220" class="LineNr">220 </span>
<span id="L221" class="LineNr">221 </span>Function: Continues sending a file to the remote system after the
<span id="L222" class="LineNr">222 </span>interruption of a previous store command.  The length of the
<span id="L223" class="LineNr">223 </span>destination file is checked on the remote and the remainder of the
<span id="L224" class="LineNr">224 </span>file is sent.
<span id="L225" class="LineNr">225 </span>
<span id="L226" class="LineNr">226 </span>
<span id="L227" class="LineNr">227 </span>Syntax:
<span id="L228" class="LineNr">228 </span>dcl  bft_$recover_store entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L229" class="LineNr">229 </span>call bft_$recover_store <span class="textRainbow_lv0_p0">(</span>code<span class="textRainbow_lv0_p0">)</span>;
<span id="L230" class="LineNr">230 </span>
<span id="L231" class="LineNr">231 </span>
<span id="L232" class="LineNr">232 </span>Arguments:
<span id="L233" class="LineNr">233 </span>code
<span id="L234" class="LineNr">234 </span>   A standard Multics error code signalling the state of the attempted
<span id="L235" class="LineNr">235 </span>   operation.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L236" class="LineNr">236 </span>
<span id="L237" class="LineNr">237 </span>
<span id="L238" class="LineNr">238 </span>:Entry:  unload:  11/18/87  bft_$unload
<span id="L239" class="LineNr">239 </span>
<span id="L240" class="LineNr">240 </span>
<span id="L241" class="LineNr">241 </span>Function: Removes BFT from the memory of the PC, and performs the
<span id="L242" class="LineNr">242 </span>cleanup to both CAT's.
<span id="L243" class="LineNr">243 </span>
<span id="L244" class="LineNr">244 </span>
<span id="L245" class="LineNr">245 </span>Syntax:
<span id="L246" class="LineNr">246 </span>dcl  bft_$unload  entry <span class="textRainbow_lv0_p0">(</span>fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L247" class="LineNr">247 </span>call bft_$unload <span class="textRainbow_lv0_p0">(</span>code<span class="textRainbow_lv0_p0">)</span>;
<span id="L248" class="LineNr">248 </span>
<span id="L249" class="LineNr">249 </span>
<span id="L250" class="LineNr">250 </span>Arguments:
<span id="L251" class="LineNr">251 </span>code
<span id="L252" class="LineNr">252 </span>   A standard Multics error code signalling the state of the attempted
<span id="L253" class="LineNr">253 </span>   operation.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
